/*******************************************************************************
Title: 00_globals.do
This do-file sets the project WORKING DIRECTORY and GLOBALS for the project. 
It requires one globals to run: $phase
*******************************************************************************/
    
   * ******************************************************************** *
   * Set all Project folder globals 
   * ******************************************************************** *  
   
	if 		"$phase" == "Baseline"   global ph bl
	if 		"$phase" == "Followup"   global ph fu
	
	if 		"$phase" == "Baseline"   global phase_yr 2018
	if 		"$phase" == "Followup"	 global phase_yr 2021
	
	* Baseline folder globals
	global do_folder					"${git_dir}/Do"
	
	* Prepare folder globals 
	global prepare             			"${do_folder}/01_prepare"
	
    * DataSets sub-folder globals
    global data_${phase}         		"${data_dir}/${phase}"
    global deidentified_${phase}  		"${data_${phase}}/02_deduplicated_deidentified" 
    global intermediate_${phase}  		"${data_${phase}}/03_intermediate" 
    global constructed_${phase}        	"${data_${phase}}/04_constructed" 
	global regstats_${phase}     		"${data_${phase}}/05_regstats"

    global pmt         					"${data_Baseline}/pmt" 
    global pop 		    				"${data_Baseline}/pop"
    global ed							"${data_Baseline}/experimental_design"	

	* Outputs sub-folder globals
	global output       				"${git_dir}/Output"
	global output_graphs       			"${git_dir}/Output/graphs"
	global output_balance				"${git_dir}/Output/tables/Other"
	
	* Randomised Inference Test for Balance
	global n_reps 1000
	global n_seed 1234
	
	* Sampling Weights ("village" or "overall" or "prop_g2")
	global w_lvl prop_g2 
  