/*******************************************************************************
Title: 00_programs.do
This do-file installs the programs used to replicate results.
This is about stata ssc packages, stata user-build package.
*******************************************************************************/

   * ******************************************************************** *
   * Install necessary commands  
   * ******************************************************************** *  
   
   *Install all packages that this project requires:
   *(Note that this never updates outdated versions of already installed commands, to update commands use adoupdate)
    local user_commands carryforward winsor2 missings mmerge revrs estout qreg2 ritest
    foreach command of local user_commands {
       cap which `command'
       if _rc == 111 {
           ssc install `command'
       }
   }
   
   * ******************************************************************** *
   * run user-written programs  
   * ******************************************************************** * 
	   
	local net_packages zindex distinct dm79
	foreach pack in `net_packages' {
		if ("`pack'" == "zindex")      	local link https://raw.githubusercontent.com/PovertyAction/zindex/master
		if ("`pack'" == "distinct")		local link http://fmwww.bc.edu/RePEc/bocode/d/
		if ("`pack'" == "dm79")			local link http://www.stata.com/stb/stb56

		capture which `pack'
		if _rc != 0 {
			net install `pack',	from("`link'") 
		}
	}

   * ******************************************************************** *
   * run personnal programs  
   * ******************************************************************** * 	
   
	foreach prog in factorZScore               	///
					fix_continuous				/// 
					livestock_count_correction	/// 
					translate_livestock         ///
					reg_stats					///
					regs_vars					///
					regs_labels              	///
					stack_concat_varlabs        ///
					tex_add_hyperlink           ///
					tex_resize 					///
					fix_import                  ///
					tex_stack_iebaltab			///
					{
		capture do "${do_folder}/00_programs/`prog'.do" 
	}   
