/*******************************************************************************
	This program stacks latex file into single column after tex file is 
	read in using import delimited
*******************************************************************************/
capture prog drop fix_import 
prog define fix_import

		// change numerics to strings
		quietly ds, not(type string)          		 // set all vars not of the string type  
		foreach var in `r(varlist)' {								
			tostring `var', replace					 // convert to string 				
			replace `var' = "" if `var' == "."       // clear out missings
		}
		
		// merge variables into one 
		quietly ds									// create list of all vars
		local var_count : word count `r(varlist)'   // count number of vars 
		qui gen text = v1							// create copy of first variable 
		forval i = 2/`var_count' {					// add the content of other variables (if they exist) to text after a comma 								
			replace text = text + "," + v`i' if v`i' != "" 
		}
		keep text									// keep only the resulting column 				
end