/*******************************************************************************
To be run from inside the regs program

Labels should not exceed three lines. Separate lines with \n. Spaces OK within line.
If a section is now running, label its variables.
-capture label var- is a program that labels variables only if they exist.
*******************************************************************************/

pause on 

capture prog drop regs_labels
program define regs_labels
	syntax, section(string) [stack_opt(string)]

	
	nois dis "	- Running do-file: regs_labels.do"
	
set varabbrev off
{	// turn this on because baseline vars are named similarly and they're omitted by label

**------------------- MAIN TABLES
							
* label primary vars
forvalues i=1/4 {
	
	if "`section'" == "prim1_hh_t`i'" | "`section'" == "prim1_hh1_t`i'" | "`section'" == "prim1_hh2_t`i'" {
		capture label var consum_day_eq_xof 				"Total Daily\n Consumption\n (FCFA, ad. equiv.)"
		capture label var food_day_eq_xof 					"Daily Food\n Consumption\n (FCFA, ad. equiv.)"
		capture label var nonfood_day_eq_xof 				"Daily Non-Food\n Consumption\n (FCFA, ad. equiv.)"	
		capture label var consum_day_pc_xof 				"Total Daily\n Consumption\n (FCFA, per capita)"
		capture label var food_day_pc_xof 					"Daily Food\n Consumption\n (FCFA, per capita)"
		capture label var nonfood_day_pc_xof 				"Daily Non-Food\n Consumption\n (FCFA, per capita)"
		capture label var edu_day_pc_xof 					"Daily Education\n Consumption\n (FCFA, per capita)"
		capture label var health_day_pc_xof 				"Daily Health \n Consumption\n  (FCFA, per capita)"			
		capture label var edu_day_eq_xof 					"Daily Education\n Consumption\n (FCFA, ad. equiv.)"
		capture label var health_day_eq_xof 				"Daily Health \n Consumption\n  (FCFA, ad. equiv.)"		
		capture label var consum_day_xof 					"Total Daily\n Consumption\n (FCFA)"
		capture label var food_day_xof 						"Daily Food\n Consumption\n (FCFA)"
		capture label var nonfood_day_xof 					"Daily Non-Food\n Consumption\n (FCFA)"
		capture label var FIES_rvrs_raw 					"Food\n Security\n (reversed FIES)"
		capture label var diversity_score 					"Dietary\n Diversity\n Score (HDDS)"
		capture label var FCS 								"Food\n Consumption\n Score (FCS)"
		capture label var food_index4						"Composite\n Z-Score\n Index"	
		capture label var food_index5						"Composite\n Z-Score\n Index"
		capture label var food_index6						"Composite\n Z-Score\n Index"
	}
								
	if "`section'" == "prim2_beno_t`i'" {
		capture label var share_ben_revenues 				"Beneficiary\n Share of Total\n Revenues (\%)"
		capture label var ctrl_hh_index 					"Control over\n HH Resources\n Z-Index"
		capture label var intrahh_vars_index 				"Intra-Household\n Dynamics\n Index"
		capture label var fin_supp_index_2 					"Financial\n Support\n Index"
		capture label var social_support_index 				"Social\n Support\n Index"
		capture label var soc_stand_index 					"Social\n Standing\n Index"
		capture label var collective_action_index 			"Collective\n Action\n Index"		
		capture label var soc_cohsn_index 					"Social\n Cohesion\n Index"
		capture label var ment_hlth_index 					"Mental\n Health\n Index"
		capture label var gse_index 						"Self\n Efficacy\n Index"
		capture label var future_expct_index 				"Future\n Expectations\n Index"
		capture label var prod_agency_index 				"Beneficiary\n Productive Agency\n Index"
	}

	if "`section'" == "prim3_ben_t`i'" | "`section'" == "prim3_chef_t`i'" {
		capture label var	ctben_ag_12 					"Works in\n Agriculture\n (0,1)"
		capture label var	ag_plot_ha_benef				"Area of\n own Plots\n cultivated (ha)"
		capture label var	tot_ben_ag_days_omben  			"Work Days\n on\n Own Plots"
		capture label var	tot_ben_nom_ag_days				"Work Days\n on other\n Household Plots"
		capture label var	tot_hhlb_ag_days_omben   		"Work Days from\n other Household Member\n on Own Plots"
		capture label var	ag_r_hrv_ben_xof_imp_98 		"Harvest Value\n (rainy season,\n 1000 FCFA)"   
		capture label var	hhh_ag_12 						"Works in\n Agriculture\n (0,1)"
		capture label var	ag_plot_ha_chef					"Area of\n own Plots\n cultivated (ha)"	
		capture label var	tot_chef_ag_days_omchef  		"Work Days\n on\n Own Plots"
		capture label var	tot_chef_nom_ag_days			"Work Days\n on other\n Household Plots"
		capture label var	tot_hhlc_ag_days_omchef   		"Work Days from\n other Household Member\n on Own Plots"
		capture label var	ag_r_hrv_chef_xof_imp_98 		"Harvest Value\n (rainy season,\n 1000 FCFA)"  																	
	} 

	if "`section'" == "prim4_ben_t`i'" | "`section'" == "prim4_chef_t`i'" {
		capture label var	ctben_na_12						"Works in\n Non-Ag\n Business (0,1)"
		capture label var	tot_ben_bus_days				"Days in Non-Ag\n Business\n (monthly)"
		capture label var	tot_ben_rev12_98				"Business\n Revenues (yearly,\n 1000 FCFA)"
		capture label var	tot_ben_pro12_98				"Business\n Profits (yearly,\n 1000 FCFA)"
		capture label var	na_bus2_op_wn_12_ben			"No. of\n Non-Ag\n Businesses"
		capture label var	bus_assval_98_ben				"Business\n Assets\n (1000 FCFA)"
		capture label var	tot_busmths_uniq_ben			"No. of Months\n Business in\n Operation"
		capture label var	business_index_ben4				"Business\n Activities\n Z-Index"
		capture label var	business_closure_ben			"Business\n Closure\n (0,1)"
		capture label var	input_regional_market_ben		"Bought\n Inputs from\n Regional Market"
		
		capture label var	hhh_na_12						"Works in\n Non-Ag\n Business (0,1)"
		capture label var	tot_chef_bus_days				"Days in Non-Ag\n Business\n (monthly)"
		capture label var	tot_chef_rev12_98				"Business\n Revenues (yearly,\n 1000 FCFA)"
		capture label var	tot_chef_pro12_98				"Business\n Profits (yearly,\n 1000 FCFA)"
		capture label var	na_bus2_op_wn_12_chef			"No. of\n Non-Ag\n Businesses"
		capture label var	bus_assval_98_chef				"Business\n Assets\n (1000 FCFA)"
		capture label var	tot_busmths_uniq_chef			"No. of Months\n Business in\n Operation"
		capture label var	business_index_chef4			"Business\n Activities\n Z-Index"
		capture label var	business_closure_chef			"Business\n Closure\n (0,1)"
		capture label var	input_regional_market_chef		"Bought Inputs\n from Regional\n Market (0,1)"		
	}

	if "`section'" == "prim5_ben_t`i'" | "`section'" == "prim5_chef_t`i'" | "`section'" == "prim5b_ben_t`i'" | "`section'" == "prim5b_chef_t`i'" {
		capture label var	sal_empl_ben					"Works in\n Salaried\n Employment (0,1)"
		capture label var	tot_empl_time_month_ben			"Days Worked\n in Salaried\n Employment"
		capture label var	tot_empl_rev12_ben_xof			"Wage\n Earnings (yearly,\n 1000 FCFA)"
		capture label var	ag_empl_ben						"Works in\n Salaried\n employment"
		capture label var	tot_ag_time_month_ben			"Days Worked\n in Salaried\n Employment"
		capture label var	tot_ag_empl_rev12_ben_xof		"Wage\n Earnings (yearly,\n 1000 FCFA)"
		capture label var	nonag_empl_ben					"Works in\n Salaried\n Employment (0,1)"
		capture label var	tot_nonag_time_month_ben		"Days Worked\n in Salaried\n Employment"
		capture label var	tot_nonag_empl_rev12_ben_xof	"Wage\n Earnings (yearly,\n 1000 FCFA)"

		capture label var	sal_empl_chef					"Works in\n Salaried\n Employment (0,1)"
		capture label var	tot_empl_time_month_chef		"Days Worked\n in Salaried\n Employment"
		capture label var	tot_empl_rev12_chef_xof			"Wage\n Earnings (yearly,\n 1000 FCFA)"
		capture label var	ag_empl_chef					"Works in\n Salaried\n employment"
		capture label var	tot_ag_time_month_chef			"Days Worked\n in Salaried\n Employment"
		capture label var	tot_ag_empl_rev12_chef_xof		"Wage\n Earnings (yearly,\n 1000 FCFA)"
		capture label var	nonag_empl_chef					"Works in\n Salaried\n Employment (0,1)"
		capture label var	tot_nonag_time_month_chef		"Days Worked\n in Salaried\n Employment"
		capture label var	tot_nonag_empl_rev12_chef_xof	"Wage\n Earnings (yearly,\n 1000 FCFA)"										
	}

	if "`section'" == "prim6_ben_t`i'" | "`section'" == "prim6_chef_t`i'" {
		capture label var	ctben_liv_12					"Works in\n Livestock\n (0,1)"
		capture label var	tot_ben_liv_days				"Days Spent\n Raising Livestock\n (monthly)"
		capture label var	tot_ani_ben_contr_98			"Livestock\n Sale Revenue\n (1000 FCFA)"
		capture label var	tot_ani_count_tlu_ben			"Livestock\n Count\n (TLU)"
		capture label var	tot_bt_d						"Member of\n Banque de Table\n (0,1)"
		capture label var	tot_tontine_d					"Member of\n Tontines\n (0,1)"
		capture label var 	tot_bt_tontine_d				"Member of\n Savings Group\n (0,1)"
		capture label var	saving_xof						"Total Savings\n (yearly,\n 1000 FCFA)"

		capture label var	hhh_liv_12 						"Works in\n Livestock\n (0,1)"
		capture label var	tot_chef_liv_days				"Days Spent\n Raising Livestock\n (monthly)"
		capture label var	tot_ani_chef_contr_98			"Livestock\n Sale Revenue\n (1000 FCFA)"
		capture label var	tot_ani_count_tlu_chef			"Livestock\n Count\n (TLU)"
	}
	
	if "`section'" == "scnd7_t`i'" | "`section'" == "scnd6_t`i'" {
		capture label var ag_plot_n 						"No.\n of\n Plots"
		capture label var ag_plot_ha 						"Area of\n cultivated\n crops (ha)"
		capture label var ag_hrv_12_xof_imp_98 				"Harvest\n value (yearly,\n 1000 FCFA)"
		capture label var ag_r_hrv_xof_imp_98 				"Harvest value\n (rainy season,\n 1000 FCFA)"
		capture label var ag_input_index 					"Agricultural\n Input\n Index"
		capture label var ag_r_seeds_d						"Purchased\n seeds\n (0,1)"
		capture label var ag_r_fert_d 						"Used\n chemical\n fertilizer (0,1)"
		capture label var ag_r_pest_d						"Used\n phytosanitary\n products (0,1)"
		capture label var ag_r_paidlab_d 					"Used\n Paid\n Labor (0,1)"
	}

	if "`section'" == "scnd8_t`i'" {
		capture label var bus2_dum 							"HH has\n Business\n (0,1)"
		capture label var na_bus2_op_wn_12 					"No.\n of\n Businesses"
		capture label var na_bus2_op_wn_12_joint_s 			"Share of Joint\n Beneficiary and\n HH-Head Businesses"
		capture label var tot_hh_rev12_98 					"Business\n Revenues (yearly,\n 1000 FCFA)"
		capture label var tot_hh_pro12_98 					"Business\n Profits (yearly,\n 1000 FCFA)"
		capture label var bus_assval_98 					"Business\n Assets\n (1000 FCFA)"
		capture label var tot_busmths_uniq 					"No. of Months\n Business was in\n Operation (last year)"
		capture label var bus_activity_index2 				"HH Business\n Activities\n Z-Index"
		capture label var business_closure_hh 				"Business\n Closure\n (0,1)"
		capture label var input_regional_market_hh 			"Bought Inputs \n from Regional\n Market"
	} 
	
	if "`section'" == "scnd9_t`i'" {
		capture label var ani_hh_dum 						"HH has\n Livestock\n (0,1)"
		capture label var div_ani 							"Count of\n HH Livestock\n Types"
		capture label var tot_ani_count_tlu 				"HH\n Livestock\n Count (TLU)"
		capture label var tot_ani_hh_contr_98 				"HH\n Revenues (yearly,\n 1000 FCFA)"
		capture label var liv_bov 							"No.\n of Cows, Bulls\n and Calves"
		capture label var liv_ane 							"No.\n of\n Donkeys"
		capture label var liv_cham 							"No.\n of\n Camels"
		capture label var liv_chev 							"No.\n of\n Horses"
		capture label var liv_cap 							"No.\n of\n Goats"
		capture label var liv_ov 							"No.\n of\n Muttons"
		capture label var liv_vol							"No.\n of\n Poultry"
	}

	if "`section'" == "scnd5_t`i'" {
		capture label var  z_food_day_eq_xof 				"Daily Food\n Consumption\n Z-Index"	
		capture label var  z_nonfood_day_eq_xof 			"Daily Non-Food\n Consumption\n Z-Index"	
		capture label var  z_FIES_rvrs_raw 					"Food Security\n (reversed FIES)\n Z-Index"	
		capture label var  z_FCS_W 							"Consumption\n Score (FCS)\n Z-Index"		
		capture label var  z_diversity_score				"Dietary\n Diversity Score\n (HDDS) Z-Index"		
		capture label var  food_index4						"Composite\n Z-Score\n Index"			
	}
	
	if "`section'" == "supp_9_t`i'" {
		capture label var non_livestock_index 	  			"HH\n Durable\n Assets Index" 
		capture label var ag_asset_index 	  				"HH\n Productive\n Assets Index" 	
		capture label var tot_cred_amt_d  					"Has\n Borrowed\n (0,1)"		
		capture label var tot_cred_amt_xof  				"Total\n Borrowed\n (yearly, 1000 FCFA)"		
		capture label var loan_out_d	      				"Has\n lent out\n (0,1)"
		capture label var loan_out_xof	      				"Total lent\n out (yearly,\n 1000 FCFA)"	
		capture label var trans_out_d 						"Household\n Sent\n Transfer (0,1)"
		capture label var tot_trans_out_xof					"Remittances\n sent (yearly,\n 1000 FCFA)"		
		capture label var trans_in_d 						"Household\n Received\n Transfer (0,1)"
		capture label var tot_trans_in_xof					"Remittances\n Received (yearly,\n 1000 FCFA)"
	}
	
	if "`section'" == "supp_10_t`i'" {
		capture label var food_day_buy_eq_xof 				"Daily Purchased\n Food Consumption\n (FCFA, ad. equiv.)"
		capture label var food_day_prod_eq_xof 				"Daily Self-Produced\n Food Consumption\n (FCFA, ad. equiv.)"
		capture label var food_day_gift_eq_xof 				"Daily Gifted\n Food Consumption\n (FCFA, ad. equiv.)"	
	}

	if "`section'" == "supp_25_t`i'" {
		capture label var mes_participe 					"Participated \n in \n PM (0,1)"
		capture label var mes_avec_d 						"Participated in \n Banque de \n Table (0,1)"
		capture label var mes_germe_d 						"Participated in \n GERME \n Training (0-1)"
		capture label var mes_coach_d 						"Received\n Help from \n Coach (0,1)"
		capture label var mes_bourse_d 						"Received\n  Lump-Sum \n Transfer (0,1)"
		capture label var mes_one 							"Participated in \n At Least One \n Measure"
		capture label var mes_two 							"Participated in \n At Least Two \n Measures"
	}

	if "`section'" == "supp_26_t`i'" {
		capture label var Sésame_d 							"Sesame\n (0,1)"
		capture label var Arachide_d 						"Groundnut\n (0,1)"
		capture label var Mil_d 							"Millet\n (0,1)"
		capture label var Sorgho_d 							"Sorgho\n (0,1)"
		capture label var Sésame_sold_d 					"Sesame\n (0,1)"
		capture label var Arachide_sold_d 					"Groundnut\n (0,1)"
		capture label var Mil_sold_d 						"Millet\n (0,1)"
		capture label var Sorgho_sold_d						"Sorgho\n (0,1)"
	}

	if "`section'" == "supp_27_t`i'" {
		capture label var ment_hlth_index 					"Mental\n Health\n Index"
		capture label var less_depressed 					"Less\n Depression\n (0-70)"
		capture label var less_disability 					"Less\n Disability\n (0-28)"
		capture label var stair_satis_today 				"Life\n Satisfaction\n (1-10)"
		capture label var stairs_peace 						"Inner\n  Peace \n (1-10)"
		capture label var health_ment_z 					"Self-Reported\n Mental\n Health"
	}

	if "`section'" == "supp_28_t`i'" {
		capture label var gse_index 						"Self\n Efficacy\n Index"
		capture label var gse1 								"Put effort\n to solve\n problems (1-4)"
		capture label var gse3 								"Stay on\n your plan and\n achieve goals (1-4)"
		capture label var gse4 								"Cope\n with contigencies\n (1-4)"
		capture label var gse7 								"Adapt\n and handle\n difficulties (1-4)"
		capture label var gse8 								"Find \n multiple\n solutions (1-4)"
		capture label var gse9 								"Find\n usually\n solutions (1-4)"
		capture label var ros4								"Do as\n well as\n others (1-4)"
	}

	if "`section'" == "supp_29_t`i'" {
		capture label var future_expct_index 				"Future\n Expectations\n Index"
		capture label var stair_status_future_new 			"Expected\n Social Status\n (0-10)"
		capture label var stair_satis_future_new 			"Expected\n Life Satisfaction\n (1-10)"
	}

	if "`section'" == "supp_30_t`i'" {
		capture label var social_support_index 				"Social\n Support\n Index"
		capture label var role 								"No. of\n Role\n Models"
		capture label var soc_tips 							"No. of people\n to ask advice\n on activities"
		capture label var soc_tips_in 						"No. of people\n who seek advice\n on activities"
		capture label var soc_confl 						"No. of people\n to ask advice\n on disputes"
		capture label var soc_confl_in 						"No. of people\n who seek advice\n on disputes"
		capture label var other_market 						"No. of\n Market\n Intermediaries"
	}

	if "`section'" == "supp_31_t`i'" {
		capture label var fin_supp_index_2 					"Financial\n Support\n Index"
		capture label var accesstofunds_rvrs 				"Able to raise\n funds in case\n of shocks (1-4)"
		capture label var ask_siblings 						"No. of Financial\n Supporters\n (Siblings)"
		capture label var ask_otherfam 						"No. of Financial\n Supporters (Other\n Family Members)"
		capture label var ask_friends 						"No. of Financial\n Supporters\n (Friends)"
		capture label var ask_otherknown 					"No. of Financial\n Supporters\n (Others)"
		capture label var ce3_new 							"Village\n Financial Support\n (1-4)"
	}

	if "`section'" == "supp_32_t`i'" {
		capture label var soc_stand_index 					"Social\n Standing\n  Index"
		capture label var stair_good_today_new 				"Good\n Person\n (0,1)"
		capture label var stair_respect_new 				"Respected\n Person\n (0,1)"
		capture label var stair_opinion_new 				"Opinion\n Followed\n (0,1)"
		capture label var stair_status_today	 			"Social\n Position\n (0,1)"
	}

	if "`section'" == "supp_33_t`i'" {
		capture label var soc_cohsn_index 					"Social Cohesion\n and Community\n Closeness Index"
		capture label var aff_ieff 							"Trusts\n Village\n Women (1-4)"
		capture label var for_trust1 						"No. of\n Trusted Villagers\n (1-10)"
		capture label var enemy_rvrs 						"Don't\n Have\n Enemies (1-4)"
		capture label var tens_comm_rvrs	 				"Community\n Tensions\n Infrequent (1-4)"
		capture label var los2	 							"Community\n Inclusiveness\n (1-4)"
	}

	if "`section'" == "supp_34_t`i'" {
		capture label var collective_action_index 			"Collective\n Action\n Index"
		capture label var partic 							"No. of\n Associations\n where Member"
		capture label var soc_post 							"No. of\n Association\n Responsibilities"
		capture label var aut_fond_xof_w 					"Community\n Project\n Donations (FCFA)"
		capture label var aut_volu	 						"No. of\n Volunteering\n Days"
		capture label var worktogether_new	 				"Works\n with\n Community (1-4)"
	}

	if "`section'" == "supp_35_t`i'" {
		capture label var intrahh_vars_index 				"Intra-Household\n Dynamics\n Index"
		capture label var partner_vars_index 				"Partner\n Dynamics\n Index"
		capture label var rel_disagree 						"Disagrees\n with Partner\n (1-4)"
		capture label var rel_interest 			 			"Trusts\n Partner\n (1-4)"
		capture label var los3	 							"Partner\n Inclusiveness\n (1-4)"
		capture label var hh_vars_index	 					"Household\n Dynamics\n Index"
		capture label var emp_move 							"Household\n Allows Family\n Visits (0, 1)"
		capture label var tens_house_rvrs	 				"Household\n Tensions\n Infrequent (1-4)"
		capture label var los1	 							"Household\n Inclusiveness\n (1-4)"
	}

	if "`section'" == "supp_36_t`i'" {
		capture label var prod_agency_index 				"Beneficiary\n Productive Agency\n Index"
		capture label var emp_work 							"Benef.\n Free to\n Work (0,1)"
		capture label var crop_ctrl_dum 					"Benef.\n Controls Crop\n Revenue (0,1)"
		capture label var bus2_ben_dum 			 			"Benef.\n Has a\n Business (0,1)"
		capture label var ani_ben_dum	 					"Benef.\n Owns Livestock\n (0,1)"
		capture label var ani_contr_ben_dum	 				"Benef.\n Controls Livestock\n Revenue (0,1)"
		capture label var sleep_prod_dum 					"Benef.\n Traveled\n for Work (0,1)"
	}

	if "`section'" == "supp_37_t`i'" {
		capture label var ctrl_hh_index 					"Controls HH\n Resources\n Index"
		capture label var dec_pow_spend 					"Daily\n Spending\n Influence (1-3)"
		capture label var dec_could_spend 					"Daily\n Spending Unilateral\n Power (1-3)"
		capture label var dec_pow_large 					"Large\n Purchases\n Influence (1-3)"
		capture label var dec_could_large	 				"Large Purchases\n Unilateral\n power (1-3)"
		capture label var dec_pow_fert		 				"Family\n Planning\n Influence (1-3)"
		capture label var dec_could_fert 					"Family Planning\n Unilateral\n power (1-3)"
		capture label var dec_pow_care	 					"Own\n Healthcare\n Influence (1-3)"
		capture label var dec_could_care 					"Own Healthcare\n Unilateral\n power (1-3)"
		capture label var dec_pow_his_earn 					"Partner's\n Earnings\n Influence (1-3)"
		capture label var dec_pow_edu	 					"Child\n Education\n Influence (1-3)"
	}

	if "`section'" == "supp_38_t`i'" {
		capture label var mes_select1 						"Lottery"
		capture label var mes_select2 						"God"
		capture label var mes_select3 						"Based on\n Poverty"
		capture label var mes_select4 			 			"Due to Limited\n Resources"
		capture label var mes_select5	 					"Luck"
		capture label var mes_select6	 					"Benef. Had\n Connections"
		capture label var mes_equi 							"Fair Selection\n Process (0,1)"
	}

	if "`section'" == "supp_39_t`i'" {
		capture label var mes_better1 						"Much\n Worse"
		capture label var mes_better2						"A Little\n Worse"
		capture label var mes_better3 						"The\n Same"
		capture label var mes_better4 			 			"A Little\n Better"
		capture label var mes_better5	 					"Much\n Better"
		capture label var mes_better_ten	 				"No. of Benef\n Better Off\n Out of 10"
		capture label var mes_husband1 						"Not\n Against PM"
		capture label var mes_husband2 						"Against PM \n only at Beginning"
		capture label var mes_husband3 						"Against PM \n Still"
		capture label var mes_husband_ten 					"No. of Benef. with \n HH Members Against\n PM Out of 10"
	}

	if "`section'" == "supp_40_t`i'" {
		capture label var perc_whynotselect1 				"Lottery"
		capture label var perc_whynotselect2				"God"
		capture label var perc_whynotselect3 				"Based on\n Poverty"
		capture label var perc_whynotselect4 				"Due to Limited\n Resources"
		capture label var perc_whynotselect5	 			"Luck"
		capture label var perc_whynotselect6	 			"Benef. Had\n Connections"
		capture label var perc_hhdiff_poorer 				"Poorer"
		capture label var perc_hhdiff_richer 				"Richer"
		capture label var perc_hhdiff_none 					"No Difference"
		capture label var perc_equi 						"Fair\n Selection\n Process"
	}

	if "`section'" == "supp_41_t`i'" {
		capture label var perc_select_steps_1 				"Census/ \n Survey"
		capture label var perc_select_steps_2				"Community\n Targeting"
		capture label var perc_select_steps_3 				"Community\n Validation"
		capture label var perc_intrahh_tensions0 			"No Tensions"
		capture label var perc_intrahh_tensions1			"A Little"
		capture label var perc_intrahh_tensions2			"More or Less"
		capture label var perc_intrahh_tensions3 			"A Lot"
		capture label var perc_tensions_improved 			"Improved\n Relations"
		capture label var perc_tensions_deteriorated 		"Deteriorated\n Relations"
		capture label var perc_tensions_notaffected 		"Did Not Affect\n Relations"
		capture label var perc_tens_per 					"Community Relations\n Deterioration\n Still Persists"
	}

	if "`section'" == "supp_42_t`i'" {
		capture label var perc_confiance0 					"Negatively"
		capture label var perc_confiance1					"Not Affected"
		capture label var perc_confiance2 					"Positively"
		capture label var perc_soutien0 					"Negatively"
		capture label var perc_soutien1						"Not Affected"
		capture label var perc_soutien2						"Positively"
		capture label var perc_engagement0 					"Negatively"
		capture label var perc_engagement1 					"Not Affected"
		capture label var perc_engagement2 					"Positively"
		capture label var perc_proximite0 					"Negatively"
		capture label var perc_proximite1 					"Not Affected"
		capture label var perc_proximite2 					"Positively"
	}

	if "`section'" == "supp_43_t`i'" {
		capture label var trans_in_d 						"HH\n Received\n Transfer (0,1)"
		capture label var tot_trans_in_xof					"Remitt. received\n in last 12 months\n (1000 FCFA)"
		capture label var trans_invill_d 					"HH Received\n Transfer from\n Village (0,1)"
		capture label var tot_trans_invill_xof 				"Within-Vill. Remitt.\n received in last 12 months\n (1000 FCFA)"
		capture label var trans_in_ben_d					"Ben.\n Received\n Transfer (0,1)"
		capture label var tot_trans_in_ben_xof				"Remitt. received by Ben.\n in last 12 months\n (1000 FCFA)"
		capture label var trans_invill_ben_d 				"Ben. Received\n Transfer from\n Village (0,1)"
		capture label var tot_trans_invill_ben_xof 			"Within-Vill. Remitt. received\n by Ben. in last 12\n months (1000 FCFA)"
	}
	
	if "`section'" == "supp_44_t`i'" {
		capture label var trans_out_d 						"HH\n Sent\n Transfer (0,1)"
		capture label var tot_trans_out_xof					"Remitt. sent\n in last 12 months\n (1000 FCFA)"
		capture label var trans_outvill_d 					"HH Sent\n Transfer To\n Village (0,1)"
		capture label var tot_trans_outvill_xof 			"Within-Vill. Remitt.\n sent in last 12 months\n (1000 FCFA)"
		capture label var trans_out_ben_d					"Ben.\n Sent\n Transfer (0,1)"
		capture label var tot_trans_out_ben_xof				"Remitt. sent by Ben.\n in last 12 months\n (1000 FCFA)"
		capture label var trans_outvill_ben_d 				"Ben. Sent\n Transfer To\n Village (0,1)"
		capture label var tot_trans_outvill_ben_xof 		"Within-Vill. Remitt. sent\n by Ben. in last 12\n months(1000 FCFA)"
		capture label var gross_trans_xof 					"Sum of Remitt.\n going In and Out\n (1000 FCFA)"
	}	
	
}

} // end novarabbrev
set varabbrev on, permanently

end
