/*******************************************************************************
	This program adds a latex hyperlink after the caption line for a given tex table. 
*******************************************************************************/

capture prog drop tex_add_hyperlink 
prog define tex_add_hyperlink
	// tex_file_name is new name for local outside the program (`file')
	syntax, file(string) section(string) [QUIetly]
	
	nois dis as text "	- Running do-file: tex_add_hyperlink"
	
`quietly' {	
	preserve
		import delimited "`file'", delim(",") charset(utf8) clear
 	
		
		// concatenate tex info into one column keeping commas intact since -import- parses at commas
		fix_import

		count if ustrpos(text, "\label{tab:") > 0 
		if `r(N)' == 0 {
			// add row right after caption that labels table for latex hyperlink
			gen rank = _n														       // row id 
			gen add_below = 1 if strpos(text, "caption") > 0					       // find where is caption line
			expand 2 if add_below == 1, gen(label_changer)						       // duplicate caption line
			replace text = "\label{tab:`section'}" if label_changer == 1 // replace caption line by tex hyperlink 
			replace rank = rank + 0.5 if label_changer == 1						       // set a row id just above the one of the caption line
			sort rank															
			keep text
			
			replace text = subinstr(text, "\_", "_", .) if strpos(text, "caption") > 0 // underscores not allowed in caption line
			
			outfile using "`file'", noquote wide replace							   // noquote option ensures that there are not enclose strings in double quotes			
		}

		
	restore
}

end
