/*******************************************************************************
	This program implements the latex command resizebox for a given tex table. 
*******************************************************************************/

capture prog drop tex_resize 
prog define tex_resize
	// tex_file_name is new name for local outside the program (`file')
	syntax, file(string) tab_resize(string) [first(string) section(string) ///
											QUIetly]
	
	nois dis as text "	- Running do-file: tex_resize"

`quietly' {	
	preserve
		import delimited "`file'", delim(",") charset(utf8) clear
		// concatenate tex info into one column keeping commas intact since -import- parses at commas
		fix_import
		
		if "`first'" == "yes" {
			replace text = strtrim(text)
			
			* dropping last 2 lines
			drop if _n == _N
			drop if _n == _N
			// drop if _n == _N
			
			* inserting lines at the top of the table
			drop if text == ""
			insobs 1, after(4)
			replace text = "\hline\hline" if text == ""			
		}
		else {
			replace text = trim(text)
			
			replace text = "\resizebox{`tab_resize'}{!}{" + text if strpos(text, "begin{tabular}") > 0 & /// tag begin row
																	strpos(text, "@{}") == 0 		   & /// but not column header
																	strpos(text, "secondtabular") == 0
																	
			replace text = subinstr(text, "\end{tabular}", "\end{tabular}}", 1) if  strpos(text, "firsttabular") > 0			
		}

		
		outfile using "`file'", noquote wide replace  // noquote option ensures that there are not enclose strings in double quotes
		
	restore
}

end
