/*******************************************************************************
Title: 02_CLEAN_JOINT.do
This do-file is master do-file for the cleaning stage.

* Input: in ${intermediate}
* Output : in ${constructed}$
*******************************************************************************/
	
   * ******************************************************************** *
   * Demographics  
   * ******************************************************************** * 
   
	do "${do_folder}/02_cleaning/03_clean_demographics.do" 
		
   * ******************************************************************** *
   * Activities  
   * ******************************************************************** * 
   
	do "${do_folder}/02_cleaning/04_clean_activities.do" 
			
   * ******************************************************************** *
   * Employment  
   * ******************************************************************** * 
   
	do "${do_folder}/02_cleaning/05_clean_employment.do" 	   
   
   * ******************************************************************** *
   * Business  
   * ******************************************************************** * 
       
	do "${do_folder}/02_cleaning/06_clean_business.do"	
		
   * ******************************************************************** *
   * Finance  
   * ******************************************************************** * 
   
	do "${do_folder}/02_cleaning/07_clean_finance.do" 
				
   * ******************************************************************** *
   * Housing  
   * ******************************************************************** * 
   
	do "${do_folder}/02_cleaning/08_clean_housing.do" 
		
   * ******************************************************************** *
   * Psychology  
   * ******************************************************************** * 
   
	do "${do_folder}/02_cleaning/09_clean_psychology.do" 
		
   * ******************************************************************** *
   * Shocks  
   * ******************************************************************** * 
	
	do "${do_folder}/02_cleaning/11_clean_shocks.do" 	   
		
   * ******************************************************************** *
   * Consumption  
   * ******************************************************************** * 
   
	do "${do_folder}/02_cleaning/12_clean_consumption.do" 
		
   * ******************************************************************** *
   * Food Security  
   * ******************************************************************** * 
   
	do "${do_folder}/02_cleaning/13_clean_foodsecurity.do" 	   
		
   * ******************************************************************** *
   * Assets  
   * ******************************************************************** * 
   
	do "${do_folder}/02_cleaning/14_clean_assets.do" 
	   
   * ******************************************************************** *
   * Livestock  
   * ******************************************************************** * 
   
	do "${do_folder}/02_cleaning/15_clean_livestock.do" 
	     
   * ******************************************************************** *
   * Agriculture  
   * ******************************************************************** * 
   
   do "${do_folder}/02_cleaning/16a_clean_agriculture.do" 	   
			
   * ******************************************************************** *
   * Programs  
   * ******************************************************************** * 
   
	if "$ph" == "bl" { 
		do "${do_folder}/02_cleaning/17_clean_programs.do" 
	}
		
   * ******************************************************************** *
   * Transfers  
   * ******************************************************************** * 
   
	do "${do_folder}/02_cleaning/18_clean_transfers.do" 
		
   * ******************************************************************** *
   * Preferences  
   * ******************************************************************** * 
   
	if "$ph" == "bl" { 		
		do "${do_folder}/02_cleaning/19_clean_preferences.do" 
	}
					
   * ******************************************************************** *
   * Labor Participation  
   * ******************************************************************** * 
   
	do "${do_folder}/02_cleaning/20_clean_labor_participation.do"

   * ******************************************************************** *
   * Woman Empower  
   * ******************************************************************** * 
   
	do "${do_folder}/02_cleaning/21_clean_women_empower.do" 
	   
   * ******************************************************************** *
   * Social Wellbeing  
   * ******************************************************************** * 
   
	if "$ph" == "fu" {
		do "${do_folder}/02_cleaning/22_clean_social_wellbeing.do" 
	}
		
   * ******************************************************************** *
   * Miscelleaneous  
   * ******************************************************************** * 
   
    do "${do_folder}/02_cleaning/23_clean_miscelleaneous.do" 

   * ******************************************************************** *
   * CT perceptions  
   * ******************************************************************** * 
   
	if "$ph" == "fu" {
		do "${do_folder}/02_cleaning/24_clean_ct_perceptions.do"
	}
		
   * ******************************************************************** *
   * Marital Status  
   * ******************************************************************** * 
   
	do "${do_folder}/02_cleaning/25_marital_status_ben.do"
		
   * ******************************************************************** *
   * Measures  
   * ******************************************************************** * 
   
	if "$ph" == "fu" {
		do "${do_folder}/02_cleaning/26_clean_measures.do"
	}
