	***************************************************************************
	*																		  *
	*		          		 FINANCE CLEANING CHAD ASP IE 					  *
	*																		  *
	***************************************************************************
	
    /*
	** PURPOSE: 	Cleaning finance data
    */

	****************************************************************************
	
	****************************************************************************
	*---------------------------- TONTINES ------------------------------------*
	****************************************************************************

	use 		"${intermediate_${phase}}/tontines_long", clear // why not defined for everyone? 

	assert 		ton_amt != 888 
	assert 		ton_amt != 999 

	**	ton
	gen 		ton = (ton_fr != .) 
	byso 		hhid : egen tontine_d = max(ton)
	label var 	tontine_d	"Is a member of a tontine"

	** recode ton_fr
	label copy 	ton_fr ton_fr_extend

	/* 
	hebdomadaire = weekly
	bimensuel = every two weeks
	mensuel = monthly */

	#delimit;
	label 		define ton_fr_extend
	4 "1 day"
	5 "2 days"
	6 "3 days"
	7 "5 days"
	8 "3 weeks"
	9 "3 months"
	10 "annually"
	11 "irregular"
	, add;
	#delimit cr

	gen 		ton_fr_recode = ton_fr, after(ton_fr)
	label 		value ton_fr_recode ton_fr_extend
	sort 		ton_fr_o
	
	/* weekly */
	replace 	ton_fr_recode = 1 if ton_fr_o == "0"	
	replace 	ton_fr_recode = 1 if ton_fr_o == "1"
	replace 	ton_fr_recode = 1 if ton_fr_o == "Chaque une semaine"
	replace 	ton_fr_recode = 1 if ton_fr_o == "Semaines"
	replace 	ton_fr_recode = 1 if ton_fr_o == "Chaque semaines"
	replace 	ton_fr_recode = 1 if ton_fr_o == "Tous les vendredi"
	replace 	ton_fr_recode = 1 if ton_fr_o == "Par semaine"
	replace 	ton_fr_recode = 1 if ton_fr_o == "Par semaines"
	replace 	ton_fr_recode = 1 if ton_fr_o == "Semaine"
	replace 	ton_fr_recode = 1 if ton_fr_o == "Chaque 9 jours"

	/* two weeks */
	replace 	ton_fr_recode = 1 if ton_fr_o == "15"
	replace 	ton_fr_recode = 1 if ton_fr_o == "2 semaines"
	replace 	ton_fr_recode = 1 if ton_fr_o == "Chaque 15 jours"
	replace 	ton_fr_recode = 1 if ton_fr_o == "Chaque deux semaines"
	replace 	ton_fr_recode = 1 if ton_fr_o == "Par quinzaine"
	replace 	ton_fr_recode = 1 if ton_fr_o == "Quinzaine"
	replace 	ton_fr_recode = 1 if ton_fr_o == ""

	/* monthly */

	/* daily */
	replace	 	ton_fr_recode = 4 if ton_fr_o == "Jour"
	replace 	ton_fr_recode = 4 if ton_fr_o == "Journalier"
	replace 	ton_fr_recode = 4 if ton_fr_o == "Chaque jour"
	replace 	ton_fr_recode = 4 if ton_fr_o == "Chaque jours"
	replace 	ton_fr_recode = 4 if ton_fr_o == "Journalier"
	replace 	ton_fr_recode = 4 if ton_fr_o == "Journalière"
	replace 	ton_fr_recode = 4 if ton_fr_o == "Quotidien"

	/* two days */
	replace 	ton_fr_recode = 5 if ton_fr_o == "Chaque 2 jours"
	replace 	ton_fr_recode = 5 if ton_fr_o == "Chaque deux jours"
	replace 	ton_fr_recode = 5 if ton_fr_o == "2 jour"	
	replace 	ton_fr_recode = 5 if ton_fr_o == "Chaque deux jours (entre les tabliers au marché )"	

	/* 3 days */
	replace 	ton_fr_recode = 6 if ton_fr_o == "Par trois jours"
	replace 	ton_fr_recode = 6 if ton_fr_o == "3 jours"
	replace 	ton_fr_recode = 6 if ton_fr_o == "Bihebdomadaire"
	replace 	ton_fr_recode = 6 if ton_fr_o ==  "2 fois dans la semaine"
	replace 	ton_fr_recode = 6 if ton_fr_o ==  "2 fois par semaine"
	replace 	ton_fr_recode = 6 if ton_fr_o ==  "Bi hebdo"
	replace 	ton_fr_recode = 6 if ton_fr_o ==  "Bi hebdomadaire"
	replace 	ton_fr_recode = 6 if ton_fr_o ==  "Bihebdomadaire"
	replace 	ton_fr_recode = 6 if ton_fr_o ==  "Chaque 3 jours"
	replace 	ton_fr_recode = 6 if ton_fr_o ==  "Deux fois dans la semaine"
	replace 	ton_fr_recode = 6 if ton_fr_o ==  "Deux fois la semaine"
	replace 	ton_fr_recode = 6 if ton_fr_o ==  "Deux fois par semaine"
	replace 	ton_fr_recode = 6 if ton_fr_o ==  "bihebdomadaire"
	replace 	ton_fr_recode = 6 if ton_fr_o ==  "Intervalle de 3 jours"
	
	/* 5 days */
	replace 	ton_fr_recode = 7 if ton_fr_o == "Chaque 4 jour"
	replace 	ton_fr_recode = 7 if ton_fr_o == "Chaque 4 jours"
	replace 	ton_fr_recode = 7 if ton_fr_o == "Chaque 5 jours"
	replace 	ton_fr_recode = 7 if ton_fr_o == "Chaque 5 JOURS"	
	replace		ton_fr_recode = 7 if ton_fr_o == "Chaque 5 jours"	
	replace 	ton_fr_recode = 7 if ton_fr_o == "Chaque 5jours"	
	replace 	ton_fr_recode = 7 if ton_fr_o == "Par 5 jours"	
	replace 	ton_fr_recode = 7 if ton_fr_o == "Par 5jours"
	replace 	ton_fr_recode = 7 if ton_fr_o == "Chaque 5 JOURS"	
	replace 	ton_fr_recode = 7 if ton_fr_o == "Chaque 5 jours"	
	replace 	ton_fr_recode = 7 if ton_fr_o == "Chaque 5jours"	
	replace 	ton_fr_recode = 7 if ton_fr_o == "Par 5 jours"	
	replace 	ton_fr_recode = 7 if ton_fr_o == "Par 5jours"
	
	/* 3 weeks */
	replace 	ton_fr_recode = 8 if ton_fr_o == "3 semaine"

	/* 3 months */
	replace 	ton_fr_recode = 9 if ton_fr_o == "Trimestiel"
	replace 	ton_fr_recode = 9 if ton_fr_o == "Trimestriel"
	replace 	ton_fr_recode = 9 if ton_fr_o == "trimestriel"
	replace 	ton_fr_recode = 9 if ton_fr_o == "Trimestrielle"	
	replace 	ton_fr_recode = 9 if ton_fr_o == "Chaque trois mois"	
	replace 	ton_fr_recode = 9 if ton_fr_o == "Trimestre"

	/* annually */
	replace 	ton_fr_recode = 10 if ton_fr_o == "Annuel"
	replace 	ton_fr_recode = 10 if ton_fr_o == "Annuel en decembre"
	replace 	ton_fr_recode = 10 if ton_fr_o == "Annuelle"
	replace 	ton_fr_recode = 10 if ton_fr_o == "Annuellement"
	replace 	ton_fr_recode = 10 if ton_fr_o == "Année"
	replace 	ton_fr_recode = 10 if ton_fr_o == "Annuel"
	replace 	ton_fr_recode = 10 if ton_fr_o == "Annuelle"
	replace 	ton_fr_recode = 10 if ton_fr_o == "Par  an"
	replace 	ton_fr_recode = 10 if ton_fr_o == "Par an"
	replace 	ton_fr_recode = 10 if ton_fr_o == "Un an"
	replace 	ton_fr_recode = 10 if ton_fr_o == "Une fois par an"
	replace 	ton_fr_recode = 10 if ton_fr_o == "9 mois"
	replace 	ton_fr_recode = 10 if ton_fr_o == "1ans"	
	replace 	ton_fr_recode = 10 if ton_fr_o == "Anneé"	
	replace 	ton_fr_recode = 10 if ton_fr_o == "Annuel"	
	replace 	ton_fr_recode = 10 if ton_fr_o == "Anneé"	
	replace 	ton_fr_recode = 10 if ton_fr_o == "Annelle"
	replace 	ton_fr_recode = 10 if ton_fr_o == "Tontine anuelle"	
	replace 	ton_fr_recode = 10 if ton_fr_o == "annuel"	
	replace 	ton_fr_recode = 10 if ton_fr_o == "annuelle"
	
	/* irregular */
	replace	 	ton_fr_recode = 11 if ton_fr_o == "Ala fin de recolte"
	replace 	ton_fr_recode = 11 if ton_fr_o == "Fin récolte"
	replace 	ton_fr_recode = 11 if ton_fr_o == "Par jour des marchés"
	replace 	ton_fr_recode = 11 if ton_fr_o == "Périodique saison pluie"
	replace 	ton_fr_recode = 11 if ton_fr_o == "Semestriel"
	replace	 	ton_fr_recode = 11 if ton_fr_o == "15"	
	replace 	ton_fr_recode = 11 if ton_fr_o == "6"	
	replace 	ton_fr_recode = 11 if ton_fr_o == "Chaque evenement de mariage"	
	replace 	ton_fr_recode = 11 if ton_fr_o == "Cérémonies de mariage"	
	replace 	ton_fr_recode = 11 if ton_fr_o == "Chaque fois qu'une femme accouche"	
	replace 	ton_fr_recode = 11 if ton_fr_o == "C'est une cotisation lorsque il y a un baptême ou un mariage"	
	replace 	ton_fr_recode = 11 if ton_fr_o == "Semestrielle"

	**	 ton_saving_xof
	//Yearly  equivalent of tontine savings amount
	gen	 		ton_saving_xof 	= ton_amt * 52 		if ton_fr_recode == 1
	replace	 	ton_saving_xof 	= ton_amt * 24 		if ton_fr_recode == 2
	replace	 	ton_saving_xof 	= ton_amt * 12 		if ton_fr_recode == 3
	replace		ton_saving_xof 	= ton_amt * 365 	if ton_fr_recode == 4
	replace	 	ton_saving_xof 	= ton_amt * (365/2) if ton_fr_recode == 5
	replace	 	ton_saving_xof 	= ton_amt * (365/3) if ton_fr_recode == 6
	replace	 	ton_saving_xof 	= ton_amt * (365/5) if ton_fr_recode == 7
	replace	 	ton_saving_xof 	= ton_amt * (52/3) 	if ton_fr_recode == 8
	replace	 	ton_saving_xof 	= ton_amt * (12/3) 	if ton_fr_recode == 9
	replace	 	ton_saving_xof 	= ton_amt * 1 		if ton_fr_recode == 10
	replace	 	ton_saving_xof 	= ton_amt * 1 		if ton_fr_recode == 11

	bysort 		hhid : egen ton_saving_xof_total = total(ton_saving_xof)
	drop 		ton_saving_xof 
	rename 		ton_saving_xof_total ton_saving_xof 
	label var 	ton_saving_xof 	"Household effective tontine savings, Total yearly equivalent" 
	// total yearly tontine savings at hhd level

	******* TONTINES/BT DUMMIES
	if "$ph" == "fu" {
	   * bt only 
	   gen bt_d =  0
	   replace bt_d = 1 if tontine_avec == 2
	   
	   * bt and tontines 
	   gen tontine_bt_d =  0
	   replace tontine_bt_d = 1 if tontine_avec != .
	   
	   * totals across all savings groups:
	   bysort hhid: egen tot_bt_d = total(bt_d)
	   bysort hhid: egen tot_tontine_d = total(tontine_d)
	   bysort hhid: egen tot_tontine_bt_d = total(tontine_bt_d)
	   
	   replace tot_bt_d = 1 if tot_bt_d > 0
	   replace tot_tontine_d = 1 if tot_tontine_d > 0
	   replace tot_tontine_bt_d = 1 if tot_tontine_bt_d > 0
	   
	   gen tot_bt_tontine_d = (tot_bt_d == 1 | tot_tontine_d == 1)
	   
	   label var tot_bt_d 			"Member of Banque de Table"
	   label var tot_tontine_d 		"Member of Tontines"
	   label var tot_tontine_bt_d 	"Member of Tontines and Banque de Table"
	   label var tot_bt_tontine_d 	"Member of Savings Group"
	   
	   local  bt_tontines tot_tontine_d tot_bt_d tot_tontine_bt_d tot_bt_tontine_d
	}
 
	keep 		hhid tontine_d ton_saving_xof `bt_tontines'
	duplicates 	drop 
	isid hhid 
	tempfile 	tontines 
	save 		`tontines'

	
	****************************************************************************
	*---------------------------- SAVINGS  ------------------------------------*
	****************************************************************************

	use 		"${intermediate_${phase}}/savings_long", replace

	// recode missing
	recode 		sav_bal (888 = .d) (999 = .r) 
	gen 		sav_rd = (sav_bal == .d | sav_bal == .r) 

	*** saving_xof 
	byso 		hhid : egen	saving_xof	= total(sav_bal)
	label var 	saving_xof	"Total savings, Household" // hhd level total savings
	byso 		hhid : egen total_sav_rd = total(sav_rd)  // save_rd, cant' see what it means but it amounts to 0 for every hhd
	assert 		!missing(total_sav_rd)
	replace 	saving_xof = .d if total_sav_rd >0  
	drop 		total_sav_rd 
		
	** saving_d
	gen 		saving_d =  (saving_xof > 0 & saving_xof != .) // includes .r and .d 
	label var 	saving_d "Has savings"
		
	** recode saves_loc_name
	#delimit;
	label 		define saves_loc
	1 "Banque, institution formelle" // F 
	2 "Dans un group d'épargne" // I
	3 "Avec famille hors du ménage" // I 
	4 "Avec voisins/amis" // I 
	5 "Avec un commerçant" // I 
	6 "Dans une boite à la maison"  // I 
	7 "Sur vous/dans un sac à la maison" // U 
	8 "Autre endroit a specifier"; // I 
	#delimit cr

	gen 		saves_loc = __key__, after(saves_loc_name)
	label val 	saves_loc saves_loc
	assert 		saves_loc_name_o == "" // none to recode 
	 
	**	saving_inf_xof
	gen 		informal_saving = sav_bal if (saves_loc >= 2 & saves_loc <=7) | saves_loc == 8 
	byso 		hhid : egen	saving_inf_xof	= total(informal_saving)
	label var 	saving_inf_xof	"Total informal savings, Household"

	*** deal with .d .r
	gen 		inf_rd = sav_rd if (saves_loc >= 2 & saves_loc <=7) | saves_loc == 8 
	byso 		hhid : egen total_inf_rd = total(inf_rd) 
	assert 		total_inf_rd != . 
	replace 	saving_inf_xof = .d if total_inf_rd > 0 
	drop 		inf_rd  total_inf_rd 
		
	**	saving_for_xof
	gen 		formal_saving = sav_bal if (saves_loc == 1)
	byso 		hhid : egen	saving_for_xof	= total(formal_saving)
	label var 	saving_for_xof	"formal savings"

	*** deal with .d .r
	gen 		for_rd = sav_rd if (saves_loc == 1)
	byso 		hhid : egen total_for_rd = total(for_rd) 
	assert 		total_for_rd != . 
	replace 	saving_for_xof = .d if total_for_rd > 0 
	drop 		for_rd  total_for_rd 

	** saving_group_xof
	gen 		saving_group = sav_bal if saves_loc == 2
	byso 		hhid : egen saving_group_xof = total(saving_group)
	label var 	saving_group_xof "Total Savings in a saving group, Household"
	
	*** deal with .d .r
	gen 		gro_rd = sav_rd if saves_loc == 2
	byso 		hhid : egen total_gro_rd = total(gro_rd) 
	assert 		total_gro_rd != . 
	replace 	saving_group_xof  = .d if total_gro_rd > 0 
	drop 		gro_rd  total_gro_rd 

	keep 		hhid saving_d saving_xof saving_inf_xof saving_for_xof saving_group_xof  
	duplicates  drop 
	
	*** Asserts 
	bysort 		hhid : assert _N == 1 
	assert 		saving_xof == (saving_for_xof + saving_inf_xof) if saving_for_xof != .d & saving_inf_xof !=.d &  saving_xof !=.d
	assert 		saving_group_xof <= saving_inf_xof if saving_group_xof != .d &  saving_inf_xof != .d 
	assert 		saving_inf_xof == .d if saving_group_xof == .d 
			
	tempfile 	savings 
	save 		"`savings'"

	
	****************************************************************************
	*------------------------------ Outstanding debt  --------------------------*
	****************************************************************************

	use 		"${intermediate_${phase}}/credit_long", clear 
		
	** deal with don't know and refused 
	if "$ph" == "bl" local cred_vars cred_amt 		   cred_out // asked about interest separately
	else 			 local cred_vars cred_amt cred_int cred_out
	
	foreach var in `cred_vars' {
		recode `var' (888 = .d) (999 = .r) 
		gen `var'_amt_rd = (`var' == .d) 
		replace `var'_amt_rd = 1 if (`var' == .r) 
	}	
	
	#delimit ;  
	label def 	cred_loc 
	1   "association/groupe d'épargne"
	2   "un ami / voisin"
	3   "famille hors du ménage"
	4   "un prêteur / usurier"
	5   "un commerçant"
	6   "une banque / une insitution de microcrédit / une ONG / autre institution formelle"
	7   "Autre personne ou groupe a specifier"
	;
	#delimit cr

	rename 		__key__ cred_pos 
	label 		values cred_pos cred_loc 

	gen cred_out_xof = cred_out 
	gen cred_amt_xof = cred_amt

	// winsorize
	gen cred_out_xof_w = cred_out_xof
	_pctile cred_out_xof if !missing(cred_out_xof) , p(98)
	replace cred_out_xof_w = `r(r1)' if cred_out_xof > `r(r1)' & !missing(cred_out_xof) 

	gen cred_amt_xof_w = cred_amt_xof
	_pctile cred_amt_xof if !missing(cred_amt_xof) , p(98)
	replace cred_amt_xof_w = `r(r1)' if cred_amt_xof > `r(r1)' & !missing(cred_amt_xof)

	// hh total
	bysort hhid : egen tot_cred_out_xof = total(cred_out_xof_w)
	label var tot_cred_out_xof "B.6.3 Household outstanding debt wins."

	bysort hhid: egen tot_cred_amt_xof = total(cred_amt_xof_w)
	label var tot_cred_amt_xof "B.6.3 Household contracted debt wins."

	// drop total "other savings" for households that refused to answer credit outstanding Q
	bysort hhid : egen total_has_rd = total(cred_out_amt_rd)  
	replace total_has_rd = 1 if total_has_rd > 1 
	assert total_has_rd != . 
	replace tot_cred_out_xof = .d if total_has_rd > 0 	
	label var total_has_rd "Household contracted debt (0,1)"
	
	**	dummies
	gen tot_cred_out_d = (tot_cred_out_xof > 0)
	label var tot_cred_out_d	"Household has outstanding debt"	
	
	gen tot_cred_amt_d = (tot_cred_amt_xof > 0)
	label var tot_cred_amt_d	"Household has contracted debt"		
	
	***** all specif-other can be informal 
	
	**	informal credit
	gen 		cred_amt_inf = (cred_amt_xof > 0 | cred_amt_xof == .d | cred_amt_xof == .r) & cred_amt_xof != . & (cred_pos >= 1 & cred_pos <= 5) | cred_pos == 7  
	byso 		hhid : egen	cred_amt_inf_d	= max(cred_amt_inf)
	label var 	cred_amt_inf_d	"Household has an informal contracted debt"

	**	formal credit
	gen 		cred_amt_for = (cred_amt_xof > 0 | cred_amt_xof == .d | cred_amt_xof == .r) & cred_amt_xof != . & (cred_pos == 6)
	byso 		hhid : egen	cred_amt_for_d	= max(cred_amt_for)
	label var 	cred_amt_for_d	"Household has a formal contracted debt"

	keep 		hhid  tot_cred_out_xof tot_cred_amt_xof total_has_rd tot_cred_out_d	tot_cred_amt_d cred_amt_inf_d cred_amt_for_d
	duplicates  drop 
	bysort 		hhid : assert _N == 1 
	tempfile 	credit 
	save 		`credit'


	****************************************************************************
	*------------------------- Lending  ---------------------------------------*
	****************************************************************************
	if "$ph" == "fu" {
		use 		"${intermediate_${phase}}/chad_main_${phase_yr}", clear
		keep if 	consent == 1

		keep  hhid lend_* resp_finance p_benef_pos
		
		****------------|
		// confirm beneficiary is answering
		split resp_finance, parse(" ")
		count if !inlist(string(p_benef_pos), resp_finance1, resp_finance2) // 
		local ratio = (1 - `r(N)'/`=_N') * 100
		local ratio : di %9.2fc `ratio'
		dis as error "`ratio'% of HHs had benef responding to these Qs"

		label var lend_mem 				"In the past 3 months, have you personally loaned money to a household member?"
		label var lend_mem_times 		"How many times in total in the past 3 months?"
		label var lend_mem_still 		"How much money do household members still owe you today?"
		label var lend_out 				"In the past 12 months, have you personally loaned money to a friend or family member outside the household?"
		label var lend_out_times 		"How many times in total in the past 12 months?"
		label var lend_out_still 		"How much money do people outside the household still owe you today?"
		
		********************************************************************************
		**** Outstanding loans (outside household)

		fix_continuous lend_out_still
		gen loan_out_xof = lend_out_still 

		// winsorize
		replace loan_out_xof = 0 if loan_out_xof == . // because at HH level
		_pctile loan_out_xof, p(98)
		replace loan_out_xof  = `r(r1)' if !missing(loan_out_xof) & loan_out_xof  > `r(r1)'
		label var loan_out_xof "Outstanding loans outside HH wins"
		
		gen loan_out_d = (loan_out_xof > 0)
		label var loan_out_d "Has Outstanding loans outside HH"
		
		********************************************************************************
		* Lending to household members 

		assert lend_mem == 1 if lend_mem_times != .  // frequency DNE if lending did not take place
		assert lend_mem_times != . if lend_mem == 1  // iff

		assert lend_mem_still != . if lend_mem == 1  // debt outstanding DNE if lending did not take place
		assert lend_mem == 1 if lend_mem_still != .  // iff

		capture assert lend_mem_still == . if lend_mem_times == 0 
		// if a HH claims to have lended without mentioning an amount, assume it wasn't in last 3 months
		if (_rc > 0) replace lend_mem_times = . if lend_mem_still != . & lend_mem_times == 0 

		** Times lent money to others in household in last 3 months
		// It appears that people misinterpreted the time question and entered an actual amount
		
		// amount outstanding is lower than "times" given for "times given" over 200
		// will trim out time variables over 200 since they are very likely reporting values
		// assume 1 time loan
		replace lend_mem_times = 1 if lend_mem_times >= 200 & !missing(lend_mem_times)
		replace lend_mem_times = 0 if missing(lend_mem_times) // unconditional
		label var lend_mem_times "Times lent money to others in household in last 3 months"
		assert lend_mem_still <= lend_mem_times if lend_mem_times >= 200 & !missing(lend_mem_times)

		** Outstanding debt from others in the household 
		fix_continuous lend_mem_still
		gen lend_still_xof = lend_mem_still

		// winsorize
		replace lend_still_xof = 0 if missing(lend_still_xof) // all vars unconditional
		_pctile lend_still_xof, p(98)
		replace lend_still_xof  = `r(r1)' if !missing(lend_still_xof ) & lend_still_xof  > `r(r1)'
		label var lend_still_xof  "How much money do household members still owe you today?"
		
		keep  hhid loan_out_xof lend_mem_times lend_still_xof loan_out_d
		order hhid loan_out_xof lend_mem_times lend_still_xof loan_out_d
		isid  hhid
		sort  hhid
		
		tempfile 	 loan
		save 		`loan'
	}
	
	
	****************************************************************************
	*------------------------- ACESS TO FUNDS  --------------------------------*
	****************************************************************************

	use 		"${intermediate_${phase}}/chad_main_${phase_yr}", clear
	keep if 	consent == 1
	keep		hhid accesstofunds*
	bysort 		hhid: assert _N == 1 
	label var 	accesstofunds "Likelihood of gathering 40000 FCFA in next month if needed" // actually different amount 
	
	
	****************************************************************************
	*------------------------- MERGE DATASETS  --------------------------------*
	****************************************************************************

	merge 1:1 hhid using `tontines', gen(_mton)
	* assert 		_mton == 3  
	* assertion is false 
	merge 1:1 hhid using `savings', gen(_msav)
	* assert _msav == 3 
	* assertion is false
	merge 1:1 hhid using `credit', gen(_mcre)
	assert 		_mcre == 3 
	if "$ph" == "fu" {
		merge 1:1 hhid using `loan', gen(_mloa)
		assert 		_mloa == 3 		
	}
	drop 		_m* 

	** gross_saving
	gen 		gross_saving = saving_xof - tot_cred_out_xof
	label var	gross_saving "Beneficiary saving - outstanding debt"
	replace 	gross_saving = .d if saving_xof == .d | tot_cred_out_xof == .d 

	* converting monetary variables to 1000 FCFA: 
	if "$ph" == "fu" {
	local monetary_vars gross_saving ton_saving_xof saving_xof 					///
						saving_inf_xof saving_for_xof saving_group_xof			///
						tot_cred_out_xof tot_cred_amt_xof 						///
						loan_out_xof lend_still_xof	
	}
	else {
	local monetary_vars gross_saving ton_saving_xof saving_xof 					///
						saving_inf_xof saving_for_xof saving_group_xof			///
						tot_cred_out_xof tot_cred_amt_xof		
	}		
						
	foreach v in `monetary_vars' {
		replace `v' = `v'/1000
	}
	

	****************************************************************************
	*------------------------- SAVING DATASET  --------------------------------*
	****************************************************************************

	compress
	save 		"${constructed_${phase}}/finance", replace
