	***************************************************************************
	*																		  *
	*		    			HOUSING CLEANING CHAD ASP IE 					  *
	*																		  *
	***************************************************************************
	
    /*
	** PURPOSE: 	Cleaning housing data 
    */

	****************************************************************************
	
	use 		"${intermediate_${phase}}/chad_main_${phase_yr}", clear
	keep if 	consent == 1

	**	hou_rooms
	label var	hou_room	"Rooms"
	**	hou_hea_min
	label var	hou_hea_min	"Minutes to health center"
	**	hou_mar_min
	label var	hou_mar_min	"Minutes to market"
	**	hou_wat_min
	label var	hou_wat_min	"Minutes to water source"

	recode 		*_min (999 = .r)  (888 = .d) 
	keep 		hhid hou_room hou_hea_min hou_mar_min hou_wat_min

	**	hou_dist_index
	ds 			hhid hou_room, not
	
	foreach var in `r(varlist)' {
		egen 	mean_`var' = mean(`var')
		egen 	sd_`var' = sd(`var')
		gen 	std_`var' = (`var' - mean_`var')/sd_`var'
	}

	egen 		A_dist = rowmean(std_hou_hea_min std_hou_mar_min std_hou_wat_min)
	egen 		A_dist_mean = mean(A_dist)
	egen 		A_dist_sd = sd(A_dist)

	gen 		hou_dist_index = (A_dist-A_dist_mean)/A_dist_sd
	sum 		hou_dist_index  
	label var	hou_dist_index	"Distance index"
	replace 	hou_dist_index = .d if inlist(hou_hea_min, .d, .r) 
	replace 	hou_dist_index = .d if inlist(hou_mar_min, .d, .r) 
	replace 	hou_dist_index = .d if inlist(hou_wat_min, .d, .r) 

	** Export 
	keep 		hhid hou_room hou_hea_min hou_mar_min hou_wat_min hou_dist_index
	so 			hhid
	compress
	save 		"${constructed_${phase}}/housing", replace
