	***************************************************************************
	*																		  *
	*		    			ASSETS CLEANING CHAD ASP IE 					  *
	*																		  *
	***************************************************************************
	
    /*
	** PURPOSE: 	Cleaning assets data  
    */

	****************************************************************************

	use 		"${intermediate_${phase}}/assets_ag_wide", clear	
	
	if "$ph" == "fu" {
		preserve 
			// Agricultural Assets Label variables: I have adjusted this for Chad
			keep hhid ag_asset_n_? ag_asset_n_??
			label var 	ag_asset_n_1 	"Charrue"
			label var 	ag_asset_n_2 	"Hache, pioche"
			label var 	ag_asset_n_3 	"Houe, daba, Hilaire"
			label var 	ag_asset_n_4 	"Matchette, coupe-coupe"
			label var 	ag_asset_n_5 	"Houe asine"
			label var 	ag_asset_n_6 	"Animaux de labour"
			label var 	ag_asset_n_7 	"Charette"
			label var 	ag_asset_n_8 	"Groupe moto pompe"
			label var 	ag_asset_n_9 	"Pompe manuelle"
			label var 	ag_asset_n_10	"Pirogue non-motorisée"
			label var 	ag_asset_n_11	"Abreuvoir/ Mangeoire"
			label var 	ag_asset_n_12	"Filet maillant"
			label var 	ag_asset_n_13	"Sene"
		
			forvalues i = 1/13 {
				replace ag_asset_n_`i' = 0 if  ag_asset_n_`i' == .
			}
						
			keep hhid ag_asset_n_*
			isid hhid 
			
			tempfile chad_ag_assets_n
			save    `chad_ag_assets_n'
		restore 
	}
	
	merge 1:1 	hhid using "${intermediate_${phase}}/assets_hh_wide"
	drop 		_merge
	drop 		*who*

	// rename variables
	ren 		ag_asset_name_* ag_ass_name_*
	ren 		ag_asset_n_* q_ass_ag_*
	ren			ag_asset_* i_ass_ag_*
	ren 		hh_asset_name_* hh_ass_name_*
	ren 		hh_asset_n_* q_ass_hh_*
	ren 		hh_asset_* i_ass_hh_*
	
	label var 	hh_ass_name_1 	"Mortier et pilon"
	label var 	hh_ass_name_2 	"Lit"
	label var 	hh_ass_name_3 	"Table"
	label var 	hh_ass_name_4 	"Chaise, banc, tabouret"
	label var 	hh_ass_name_5 	"Cantine (malle)"
	label var 	hh_ass_name_6 	"Radio, radio-K7, auto-radio"
	label var 	hh_ass_name_7 	"Telephone cellulaire"
	label var 	hh_ass_name_8 	"machine à coudre"
	label var 	hh_ass_name_9 	"Appareil photo, camera"
	label var 	hh_ass_name_10 	"Pirogue"
	label var 	hh_ass_name_11 	"Pousse-pousse"
	label var 	hh_ass_name_12 	"Bicyclette"
	label var 	hh_ass_name_13 	"Mobylette, moto"
	label var 	hh_ass_name_14 	"Groupe electrogene"
	label var 	hh_ass_name_15 	"Fer à repasser"
	label var 	hh_ass_name_1 	"Mortier et pilon"
	label var 	hh_ass_name_2 	"Lit"
	label var 	hh_ass_name_3 	"Table"
	label var 	hh_ass_name_4 	"Chaise, banc, tabouret"
	label var 	hh_ass_name_5 	"Cantine (malle)"
	label var 	hh_ass_name_6 	"Radio, radio-K7, auto-radio"
	label var 	hh_ass_name_7 	"Telephone cellulaire"
	label var 	hh_ass_name_8 	"machine à coudre"
	label var 	hh_ass_name_9 	"Appareil photo, camera"
	label var 	hh_ass_name_10 	"Pirogue"
	label var 	hh_ass_name_11 	"Pousse-pousse"
	label var 	hh_ass_name_12 	"Bicyclette"
	label var 	hh_ass_name_13 	"Mobylette, moto"
	label var 	hh_ass_name_14 	"Groupe electrogene"
	label var 	hh_ass_name_15 	"Fer à repasser"
	
	// Indicator
	pca 		i_ass_ag_* i_ass_hh_*
	*loadingplot, mlabpos(13)

	predict 	total_asset_index
	codebook 	total_asset_index

	pca 		i_ass_hh_*
	predict 	non_livestock_index
	codebook 	non_livestock_index

	pca 		i_ass_ag_*
	predict 	ag_asset_index
	codebook 	ag_asset_index
	
	// Quantity
	recode 		q_ass_ag_* (. = 0)
	recode 		q_ass_hh_* (. = 0)

	pca 		 q_ass_ag_* q_ass_hh_*
	predict 	 total_asset_index_q
	codebook	 total_asset_index_q

	pca 		q_ass_hh_*
	predict 	non_livestock_index_q
	codebook 	non_livestock_index_q

	pca 		 q_ass_ag_*
	predict 	 ag_asset_index_q
	codebook	 ag_asset_index_q
	
	label var 	total_asset_index	 	"All assets, pca index"
	label var 	non_livestock_index	 	"Household and non-livestock assets, pca index"
	label var 	ag_asset_index	 		"Household and non-livestock assets, pca index"
	label var 	total_asset_index_q  	"All assets, pca index (quantity)"
	label var 	non_livestock_index_q	"Household and non-livestock assets, pca index (quantity)"
	label var	ag_asset_index_q		"Agriculture assets, pca index (quantity)"
	
	keep 		hhid *index*

	if "$ph" == "fu" {
		merge 1:1 hhid using `chad_ag_assets_n', gen(_mAG)
		assert _mAG == 3
		drop _mAG
	}	
	
	compress
	save 		"${constructed_${phase}}/assets.dta", replace
	