
	***************************************************************************
	*																		  *
	*		   				PROGRAMS CLEANING CHAD ASP IE 			  		  *
	*																		  *
	***************************************************************************
	
    /*
	** PURPOSE: 	Cleaning programs data 
    */

	****************************************************************************
	
	use 		"${intermediate_${phase}}/programs_wide", clear
	drop 		prog_type_o_*

	*** clean 'others'
	
	** prog_type_o_code
	gen 		prog_type_o_code = .
	replace 	prog_name_7 = trim(itrim(lower(prog_name_7)))
	
	replace	 	prog_type_o_code = 7 if prog_name_7 == "999"
	replace 	prog_type_o_code = 6 if prog_name_7 == "acf"
	replace 	prog_type_o_code = 7 if prog_name_7 == "coperatif"
	replace 	prog_type_o_code = 4 if prog_name_7 == "de la part d'un certain ahmed mokhtar ould nouh"
	replace 	prog_type_o_code = 4 if prog_name_7 == "id initiatives pour le develeppement (world vision)"
	replace 	prog_type_o_code = 7 if prog_name_7 == "grdr"
	replace 	prog_type_o_code = 7 if prog_name_7 == "nsp"
	replace 	prog_type_o_code = 5 if prog_name_7 == "omvs"
	replace 	prog_type_o_code = 1 if prog_name_7 == "pam"
	replace 	prog_type_o_code = 4 if prog_name_7 == "Filets sociaux"

	#delimit;
	replace 	prog_type_o_code = 1 if 
	inlist(prog_name_7, 
	"pam", 
	"Oxfam", "Oxfam intermon", "Oxfam intermon(ECHO).",
	"Pam")
	;
	#delimit cr

	** change to say has program if recoded from 'others'
	forvalues i = 1/7 {
		replace prog_`i' = 1 if prog_type_o_code == `i'
	}

	label var 	prog_1 "receives cereal aid" 
	label var 	prog_2 "receives food or cash for work" 
	label var 	prog_3 "receives child food aid"
	label var 	prog_4 "receives cash transfers/saftey net" 
	label var 	prog_5 "has agricultural insurance" 
	label var 	prog_6 "has health insurance" 
	label var 	prog_7 "receives another kind of aid"

	*** Export 
	
	keep 		hhid prog_?
	sort 		hhid
	compress
	save 		"${constructed_${phase}}/programs", replace
