
	***************************************************************************
	*																		  *
	*		    		 PREFERENCES CLEANING CHAD ASP IE 			 		  *
	*																		  *
	***************************************************************************
	
    /*
	** PURPOSE: 	Cleaning preferences data from baseline survey
    */

	****************************************************************************
	
		
	use 		"${intermediate_${phase}}/chad_main_2018.dta", clear
	keep 		hhid consent start_preferences - end_preferences
	keep if 	consent == 1
	drop 		consent

	**	pref_nonag
	gen			pref_nonag = (pref_when == 1)
	label var	pref_nonag	"Prefers grant just after harvest"

	** recode pref_what
	gen 		pref_what_recode = pref_what, after(pref_what)
	label val 	pref_what_recode pref_what

	replace 	pref_what_recode = 3 if pef_what_o == "Veut a n importe qu'elle moment pour l agriculture et le commerce"
	replace 	pref_what_recode = 3 if pef_what_o == "Acheter les ustensiles"
	replace 	pref_what_recode = 3 if pef_what_o == "Ouvrir une boutique de vêtements"
	replace 	pref_what_recode = 3 if pef_what_o == "couture"
	replace 	pref_what_recode = 10 if pef_what_o == "Payement de facture d!eau"
	replace 	pref_what_recode = .o if pef_what_o == "NSp"
	replace 	pref_what_recode = 7 if pef_what_o == "S alimenter"

	**	pref_g_ag
	gen			pref_g_ag = (pref_what_recode == 1)
	label var	pref_g_ag	"Would spend grant on: Agriculture"

	**	pref_g_liv
	gen			pref_g_liv = (pref_what_recode == 2)
	label var	pref_g_liv	"Would spend grant on: Livestock"

	**	pref_g_pt
	gen			pref_g_pt = (pref_what_recode == 3)
	label var	pref_g_pt	"Would spend grant on: Petty trade"

	**	pref_g_cr
	gen			pref_g_cr = (pref_what_recode == 4)
	label var	pref_g_cr	"Would spend grant on: Craftmanship"

	**	pref_g_co
	gen			pref_g_co = (pref_what_recode == 5)
	label var	pref_g_co	"Would spend grant on: Construction"

	**	pref_g_oa
	gen			pref_g_oa = (pref_what_recode == 6)
	label var	pref_g_oa	"Would spend grant on: Other non-agricultural activities"

	**	pref_g_fo
	gen			pref_g_fo = (pref_what_recode == 7)
	label var	pref_g_fo	"Would spend grant on: Food"

	**	pref_g_he
	gen			pref_g_he = (pref_what_recode == 8)
	label var	pref_g_he	"Would spend grant on: Health"

	**	pref_g_ed
	gen			pref_g_ed = (pref_what_recode == 9)
	label var	pref_g_ed	"Would spend grant on: Education"

	**	pref_g_de
	gen			pref_g_de = (pref_what_recode == 10)
	label var	pref_g_de	"Would spend grant on: Debt"

	**	pref_g_o
	gen			pref_g_o = (pref_what_recode == .o)
	label var	pref_g_o	"Would spend grant on: Other"

	** recode pref_train
	gen 		pref_train_recode = pref_train, after(pref_train)
	label val 	pref_train_recode pref_train

	replace 	pref_train_recode = 3 if pref_train_nag_o == "Boutique"
	replace 	pref_train_recode = 3 if pref_train_nag_o == "Couture"
	replace 	pref_train_recode = 3 if pref_train_nag_o == "Prepation de Couscous"
	replace 	pref_train_recode = 3 if pref_train_nag_o == "Tailleur"
	replace 	pref_train_recode = 4 if pref_train_nag_o == "Transformation"
	replace 	pref_train_recode = 4 if pref_train_nag_o == "Transformation de savon"
	replace 	pref_train_recode = 4 if pref_train_nag_o == "Tressage de nattes"
	replace 	pref_train_recode = 3 if pref_train_nag_o == "Vendeuse de couscous"
	replace 	pref_train_recode = 3 if pref_train_nag_o == "Vendeuses de pagne"
	replace 	pref_train_recode = 3 if pref_train_nag_o == "Vendre des beigner"
	replace 	pref_train_recode = 3 if pref_train_nag_o == "Vente des begnets"
	replace 	pref_train_recode = 3 if pref_train_nag_o == "Vente des légumes"
	replace 	pref_train_recode = 3 if pref_train_nag_o == "couture"
	replace 	pref_train_recode = 3 if pref_train_nag_o == "cuisiniere"
	replace 	pref_train_recode = 3 if pref_train_nag_o == "teinture"

	#delimit;
	replace 	pref_train_recode = 3 if 
	inlist(pref_train_nag_o,
	"Couture",
	"Coutures",
	"Vente de whisky frelate",
	"Mecanique")
	;
	#delimit cr

	**	pref_train_ag
	gen			pref_train_ag = (pref_train_recode == 1)
	label var	pref_train_ag	"prefers training in: agriculture"

	**	pref_train_liv
	gen			pref_train_liv = (pref_train_recode == 2)
	label var	pref_train_liv	"prefers training in: livestock"

	**	pref_train_pt
	gen			pref_train_pt = (pref_train_recode == 3)
	label var	pref_train_pt	"prefers training in: petty trade"

	**	pref_train_cr
	gen			pref_train_cr = (pref_train_recode == 4)
	label var	pref_train_cr	"prefers training in: craftmanship"

	**	pref_train_co
	gen			pref_train_co = (pref_train_recode == 5)
	label var	pref_train_co	"prefers training in: construction"

	**	pref_train_oa
	gen			pref_train_oa = (pref_train_recode == 6)
	label var	pref_train_oa	"prefers training in: other non-agricultural activity"

	// SAVING DATASET
	keep 		hhid pref_nonag - pref_train_oa
	compress
	save "${constructed_${phase}}/preferences", replace
