	***************************************************************************
	*																		  *
	*					  MARITAL STATUS CHAD ASP IE 					      *
	*																		  *
	***************************************************************************

	use "${intermediate_${phase}}/members_long.dta", clear 

	merge m:1 hhid using "${constructed_${phase}}/demographics.dta", keepusing(benef_pos)
	keep if benef_pos == mem_pos
	drop _merge
	keep hhid relation marital

	merge 1:1 hhid using  "${constructed_${phase}}/identification", keepusing(treatment_status)
	rename relation relation_to_hhh 
	 
	gen single = 0 
	replace single = 1 				if marital == 1
	
	gen married = 0 
	replace married = 1 			if marital == 2 | marital == 3
	 
	gen married_monogamous = 0 
	replace married_monogamous = 1 	if marital == 2

	gen married_polygamous = 0 
	replace married_polygamous = 1 	if marital == 3

	gen widow = 0 
	replace widow = 1 				if marital == 5 

	gen divorced = 0 
	replace divorced = 1 			if marital == 6
	 
	gen separated = 0 
	replace separated = 1 			if marital == 7
	 
	label var relation_to_hhh "Beneficiary's Relation to Household Head"
	label var marital 				"Marital Status"
	label var single 				"Beneficiary Single Dummy"
	label var married 				"Beneficiary Married Dummy"
	label var married_monogamous 	"Beneficiary Married (Monogamous) Dummy"
	label var married_polygamous 	"Beneficiary Married (Polygamous) Dummy"
	label var widow 				"Beneficiary Widow Dummy"
	label var divorced 				"Beneficiary Divorced Dummy"
	label var separated 			"Beneficiary Separated Dummy"
	 
	save  "${constructed_${phase}}/marital_status_ben.dta", replace


