  	***************************************************************************
	*																		  *
	*		   PRODUCTIVE MEASURES PARTICIPATION AND COMPLIANCE			 	  *
	*																		  *
	***************************************************************************

	use "${intermediate_${phase}}/chad_main_${phase_yr}.dta", clear

	gen mes_one = 0
	replace mes_one = 1 if mes_avec_d == 1 | mes_bourse_d == 1 | mes_coach_d == 1 | mes_germe_d == 1.
	egen mes_number = rowtotal(mes_avec_d mes_bourse_d mes_coach_d mes_germe_d)
	gen mes_two = 0
	replace mes_two = 1 if mes_number <= 2
	
	* perception of selection process 
	forvalues i = 1/6 {
		gen mes_select`i' = 0
		replace mes_select`i' = 1 if mes_whynotselect == `i'
	}
	
	* fair selection process 
	tab mes_equi
	
	* situation after productive measures
	forvalues i = 1/5 {
		gen mes_better`i' = 0
		replace mes_better`i' = 1 if mes_better == `i'
	}

	* number of better off benef out of 10: 
	tab mes_better_ten 
	
	* reaction of partner/hh members to productive measures: 	
	gen 	mes_husband1 = 0
	replace mes_husband1 = 1 if mes_husband == 0
	gen 	mes_husband2 = 0
	replace mes_husband2 = 1 if mes_husband == 2
	gen 	mes_husband3 = 0
	replace mes_husband3 = 1 if mes_husband == 1

	* number of benefs with partners/hh members against PM out of 10
	tab mes_husband_ten	
	
	keep hhid 	mes_select? mes_equi mes_better? mes_better_ten ///
				mes_husband? mes_husband_ten mes_participe 		///
				mes_avec_d mes_bourse_d mes_coach_d mes_germe_d	/// 
				mes_one mes_two mes_number

	compress 
	save "${constructed_${phase}}/measures.dta", replace
