Set objExcel = CreateObject("Excel.Application")
objExcel.Visible = False  ' Set to True to make Excel visible
objExcel.DisplayAlerts = False  ' Set to False to suppress alerts

' Get the current directory of the script
Set objFSO = CreateObject("Scripting.FileSystemObject")
ScriptDirectory = objFSO.GetParentFolderName(WScript.ScriptFullName)

' Define the Excel file path using the relative path
ExcelFilePath = ScriptDirectory & "\cashflow_irr.xlsx"  ' Replace with the actual name of your Excel file

' Open the Excel file
Set objWorkbook = objExcel.Workbooks.Open(ExcelFilePath)

' Create a new macro in VBA
Set objVBA = objWorkbook.VBProject.VBComponents.Add(1)
objVBA.CodeModule.AddFromString "Sub CalculateIRR()" & vbNewLine & _
    "    Dim objWorksheet As Worksheet" & vbNewLine & _
    "    Set objWorksheet = ThisWorkbook.Sheets(1)" & vbNewLine & _
    "    Dim irrValue As Double" & vbNewLine & _
    "    irrValue = Application.WorksheetFunction.IRR(objWorksheet.Range(""B1:B62""))" & vbNewLine & _
    "    objWorksheet.Range(""C1"").Value = irrValue" & vbNewLine & _
    "End Sub"

' Run the newly created macro
objExcel.Run "CalculateIRR"

' Remove the macro from VBA
objWorkbook.VBProject.VBComponents.Remove(objWorkbook.VBProject.VBComponents("Module1"))

' Save the Excel file
objWorkbook.Save

' Clean up and release Excel application object
' objWorkbook.Close  ' Optionally close the workbook
' objExcel.Quit  ' Optionally quit Excel
' Set objWorkbook = Nothing
' Set objExcel = Nothing

' Get a reference to all running Excel processes
Set objWMIService = GetObject("winmgmts:\\.\root\cimv2")
Set colItems = objWMIService.ExecQuery("Select * From Win32_Process Where Name = 'excel.exe'")

' Loop through and close each Excel process
For Each objItem In colItems
    Set objService = GetObject("winmgmts:\\.\root\cimv2:Win32_Process.Handle='" & objItem.Handle & "'")
    objService.Terminate
Next

' Release objects
Set objWMIService = Nothing
Set colItems = Nothing